import { IgrToolActionIconButton } from "./igr-tool-action-icon-button";
import { ToolActionIconMenu } from "./ToolActionIconMenu";
import { brushToString, stringToBrush, ensureBool } from "igniteui-react-core";
export class IgrToolActionIconMenu extends IgrToolActionIconButton {
    createImplementation() {
        return new ToolActionIconMenu();
    }
    /**
                                 * @hidden
                                 */
    get i() {
        return this._implementation;
    }
    constructor(props) {
        super(props);
    }
    /**
     * Gets or sets the stroke color of the arrow icon.
    */
    get arrowStroke() {
        return brushToString(this.i.ho);
    }
    set arrowStroke(v) {
        this.i.ho = stringToBrush(v);
    }
    /**
     * Gets the actual stroke color of the arrow icon.
    */
    get actualArrowStroke() {
        return brushToString(this.i.hn);
    }
    set actualArrowStroke(v) {
        this.i.hn = stringToBrush(v);
    }
    /**
     * Gets or sets whether the arrow icon should be shown.
    */
    get showArrowIcon() {
        return this.i.hd;
    }
    set showArrowIcon(v) {
        this.i.hd = ensureBool(v);
    }
}
