import { Base, Type, INotifyPropertyChanged, PropertyChangedEventArgs } from "igniteui-react-core";
import { DomRenderer, DomWrapper } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
import { FontInfo } from "igniteui-react-core";
import { Size } from "igniteui-react-core";
import { NativeUIAbsolutePanel } from "igniteui-react-core";
import { NativeUIGrid } from "igniteui-react-core";
import { IDataSource } from "igniteui-react-core";
import { IExternalListPanel } from "./IExternalListPanel";
import { IExecutionContext } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { ListPanelOrientation } from "./ListPanelOrientation";
import { ListPanelItemModel } from "./ListPanelItemModel";
import { ListPanelContentRefreshedEventArgs } from "./ListPanelContentRefreshedEventArgs";
import { ListPanelTemplateItemUpdatingEventArgs } from "./ListPanelTemplateItemUpdatingEventArgs";
import { ListPanelTemplateWidthRequestedEventArgs } from "./ListPanelTemplateWidthRequestedEventArgs";
import { ListPanelTemplateHeightRequestedEventArgs } from "./ListPanelTemplateHeightRequestedEventArgs";
import { IDataSourceUpdateNotifier } from "igniteui-react-core";
import { NativeUIContainer } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class ListPanelView extends Base {
    static $t: Type;
    private n;
    private m;
    constructor();
    p(): any;
    a: ListPanel;
    v(): void;
    i: DomRenderer;
    l: DomWrapper;
    e: RenderingContext;
    k: DomWrapper;
    t(a: DomRenderer): void;
    y(): void;
    x(): void;
    s(): void;
    z(): void;
    private b;
    private aa;
    private c;
    private _gridExternal;
    d(): FontInfo;
    u(): void;
    w(): void;
    r(a: number, b: number): void;
    g(): number;
    h(a: string): number;
    f: boolean;
    private j;
    q(a: any, b: (arg1: any) => void): void;
}
/**
 * @hidden
 */
export declare class ListPanel extends Base implements INotifyPropertyChanged {
    static $t: Type;
    o: ListPanelView;
    u: NativeUIGrid;
    private y;
    private v;
    private get w();
    private h;
    bw(a: NativeUIAbsolutePanel): void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    constructor();
    private a8;
    ce(a: Size): void;
    get itemsSource(): any;
    set itemsSource(a: any);
    private a;
    get actualDataSource(): IDataSource;
    set actualDataSource(a: IDataSource);
    private ag;
    notifySizeChanged(): void;
    destroy(): void;
    provideContainer(a: DomRenderer): void;
    private a0;
    get a7(): number;
    set a7(a: number);
    private ar;
    get av(): number;
    set av(a: number);
    private r;
    get s(): FontInfo;
    set s(a: FontInfo);
    t(): FontInfo;
    private x;
    get ah(): boolean;
    private a9;
    protected cb(a: string, b: any, c: any): void;
    private bn;
    private as;
    private aq;
    private ap;
    private ad;
    private z;
    private ac;
    protected ci(): void;
    private bp;
    contentRefreshed: (sender: any, args: ListPanelContentRefreshedEventArgs) => void;
    private cm;
    private bq;
    rowUpdating: (sender: any, args: ListPanelTemplateItemUpdatingEventArgs) => void;
    private bt;
    private bs;
    private q;
    itemWidthRequested: (sender: any, args: ListPanelTemplateWidthRequestedEventArgs) => void;
    itemHeightRequested: (sender: any, args: ListPanelTemplateHeightRequestedEventArgs) => void;
    private bm;
    private aw;
    private ax;
    private br;
    private g;
    private p;
    private cp;
    private ao;
    private cl;
    private a6;
    private a5;
    private al;
    private ak;
    private an;
    private am;
    private bl;
    bu(): void;
    cn(): void;
    private b1;
    private ae;
    private ab;
    private b0;
    bv(): void;
    co(): void;
    a4(): number;
    a3(): number;
    private ay;
    private az;
    private aj;
    bz(): void;
    private by;
    private cj;
    private ck;
    ch(): void;
    private bx;
    private b9;
    private d;
    get externalListPanel(): IExternalListPanel;
    set externalListPanel(a: IExternalListPanel);
    protected cf(a: string, b: any, c: any): void;
    c: IExecutionContext;
    cq(): void;
    cx(): Size;
    b8(a: number, b: number): void;
    cd(a: number, b: any, c: any): void;
    b7(): void;
    ca(a: number, b: any): void;
    cc(a: number, b: any): void;
    b5(a: number, b: any, c: any): void;
    b2(): void;
    b3(a: number, b: any): void;
    b4(a: number, b: any): void;
    a1(a: any): number;
    a2(a: any[]): number;
    static cu: Brush;
    private cr;
    get ct(): Brush;
    set ct(a: Brush);
    static j: ListPanelOrientation;
    private i;
    get k(): ListPanelOrientation;
    set k(a: ListPanelOrientation);
    static af: boolean;
    private aa;
    get ai(): boolean;
    set ai(a: boolean);
    static cv: Brush;
    cs: Brush;
    get cw(): Brush;
    set cw(a: Brush);
    get au(): number;
    get at(): number;
}
/**
 * @hidden
 */
export declare class ListPanelDataSourceNotificationBridge extends Base implements IDataSourceUpdateNotifier {
    static $t: Type;
    private a;
    constructor(a: ListPanel);
    rangeActualized(a: number, b: number): void;
    notifySetItem(a: number, b: any, c: any): void;
    notifyClearItems(): void;
    notifyInsertItem(a: number, b: any): void;
    notifyRemoveItem(a: number, b: any): void;
}
/**
 * @hidden
 */
export declare class ListPanelLayoutPanel extends Base {
    static $t: Type;
    private a;
    constructor(a: NativeUIAbsolutePanel);
    d(a: Size): void;
    b(a: ListPanel, b: ListPanelItemModel): void;
    c(a: NativeUIContainer): void;
}
